<?php
$_db_migration_to = '40.12'; // 9.0.0
if (!isset($migrations) || !is_object($migrations))
	die("This file cannot be executed directly");
$migrations->CheckValid($_db_migration_to);
//===========================================================================================



$migrations->Run('01_cln_event_location_length.php', <<<'DB_UPDATE_FILE'
<?php
/** @var \Claromentis\Setup\SetupFacade $migrations */
$db = $migrations->GetDb();

$db->AlterColumn('cln_event', 'location', 'location', 'VARCHAR(1024) NULL');

DB_UPDATE_FILE
);


$migrations->Run('02-publish-menunode-url-length.php', <<<'DB_UPDATE_FILE'
<?php
/** @var \Claromentis\Setup\SetupFacade $migrations */
$db = $migrations->GetDb();

# BT-1984 Duplicated for Claromentis 9
$db->AlterColumn('publish_menunode', 'url', 'url', 'VARCHAR(1024) NULL');

DB_UPDATE_FILE
);


//===========================================================================================
$migrations->SetVersion('40.12');
